This is the mail archive of the gcc@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: gcc 4.1.0 NOT built on i686-pc-linux-gnu (Scientific Linux 3.0.4)


On Wed, 1 Mar 2006, Andrew Pinski wrote:

This means your libmpfr.a was compiled for the wrong glibc.

Thanks for the hint -- now I have completed the 4.1.0 build/install, with


MLO@mlinux 19 $ gcc -v
Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: ../gcc-4.1.0/configure --prefix=/usr/soft/gcc4 --with-mpfr=/usr/soft --with-gmp=/usr/soft --enable-languages=c,c++,fortran
Thread model: posix
gcc version 4.1.0


My problem was that I manage a cluster of several gnu-linux machines, where the user may choose between gcc 4.1.0 and 3.4.5 executing shell scripts. As you guessed, libmpfr.a has been compiled against an old glibc (2.2.5) where the PC used for "make bootstrap" had glibc 2.3.2 .

Many thanks for the help, and thank for maintaining gcc.

--
Maurizio Loreti                       http://www.pd.infn.it/~loreti/mlo.html
Un. of Padova, Dept. of Physics - Padova, Italy        loreti@padova.infn.it


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]